! Program Example from "Essential Fortran 90 & 95" by Loren P. Meissner
! Copyright 1996. Copying for sale requires permission from the author.
! Otherwise, distribution is permitted if these three lines are included.

! Example 2.17. Initial value in type declaration.
  module C17M
    implicit none
    public :: Initial_1
  contains
    subroutine Initial_1( )
      real, save :: R = -9.25, S, T = 5.9, U = 0.0, V, W = 0.0
      integer, save :: Mt = 14, Nobody
  ! start subroutine Initial_1
      read (unit = *, fmt = *) S, V, Nobody
      write (unit = *, fmt = *) R, S, T, U, V, W
      write (unit = *, fmt = *) Mt, Nobody
      return
    end subroutine Initial_1
  end module C17M
